using Newtonsoft.Json;

namespace WeatherDashboard
{
    [JsonConverter(typeof(JsonPathConverter))]
    public class WeatherSet
    {
        [JsonProperty("location")]
        public Location Location { get; set; }

        [JsonProperty("current")]
        public Forecast Current { get; set; }

        [JsonProperty("forecast.forecastday")]
        public ICollection<DayForecast> Forecast { get; set; }
    }
}